--AH:ScriptId=fa3a549c-5d05-40c1-8b37-ea206e8d154d;537
CREATE TABLE [FeedAdapters]
(
  [Feed_Id] INT NOT NULL
    CONSTRAINT [FK__FeedAdapters__Feeds]
	FOREIGN KEY ([Feed_Id])
	REFERENCES [Feeds] ([Feed_Id]),
  [FeedAdapter_Sequence] INT NOT NULL
    CONSTRAINT [CK__FeedAdapters__FeedAdapter_Sequence_Domain]
	CHECK ([FeedAdapter_Sequence] > 0),
  CONSTRAINT [PK__FeedAdapters]
  PRIMARY KEY ([Feed_Id], [FeedAdapter_Sequence]),
  
  [FeedAdapter_Name] NVARCHAR(50) NOT NULL,
    CONSTRAINT [UQ__FeedAdapters__FeedAdapter_ Name]
	UNIQUE ([Feed_Id], [FeedAdapter_Name]),

  [FeedAdapterType_Code] VARCHAR(8) NOT NULL,
    CONSTRAINT [CK__FeedAdapters__FeedAdapterType_Code]
	CHECK ([FeedAdapterType_Code] IN ('OData', 'Download', 'Push')),
  [FeedAdapter_Configuration] VARCHAR(MAX) NOT NULL
)