EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ScheduledTasks_GetScheduledTasks',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ScheduledTasks_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the scheduled tasks, optionally filtered by feed.'
GO

IF OBJECT_ID('[ScheduledTasks_GetScheduledTasks]') IS NOT NULL DROP PROCEDURE [ScheduledTasks_GetScheduledTasks]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ScheduledTasks_GetScheduledTasks]
(
	@Feed_Id INT = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [ScheduledTasks_Extended]
	 WHERE @Feed_Id IS NULL OR [Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [ScheduledTasks_GetScheduledTasks] TO [ProGetUser_Role]
GO